## helma.objectmodel
Class ConcurrencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              helma.objectmodel.ConcurrencyException

All Implemented Interfaces:
  java.io.Serializable

    public class ConcurrencyException

extends java.lang.Error

Thrown when more than one thrad tries to modify a Node. The evaluator will normally catch this and try again after a period of time.

See Also:
  Serialized Form

Constructor Summary
`ConcurrencyException(java.lang.String msg)` Creates a new ConcurrencyException object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrencyException

    public ConcurrencyException(java.lang.String msg)

  Creates a new ConcurrencyException object.

  Parameters:
    `msg` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.